Skip to main content
GET
/
obligations
/
{id}
Get a obligation
curl --request GET \
  --url https://grosh.muathye.com/api/obligations/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "reference": "<string>",
  "notes": "<string>",
  "opened_date": "2023-12-25",
  "due_date": "2023-12-25",
  "original_amount": 123,
  "outstanding_amount": 123,
  "status": "open",
  "settled_at": "2023-11-07T05:31:56Z",
  "contact": {
    "id": "<string>",
    "name": "<string>"
  },
  "account": {
    "id": "<string>",
    "name": "<string>",
    "code": "<string>"
  },
  "currency": {
    "id": "<string>",
    "name": "<string>",
    "code": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Successful response

id
string
name
string
reference
string | null
notes
string | null
opened_date
string<date> | null
due_date
string<date> | null
original_amount
number
outstanding_amount
number
status
enum<string>
Available options:
open,
settled
settled_at
string<date-time> | null
contact
object
account
object
currency
object
created_at
string<date-time> | null
updated_at
string<date-time> | null
deleted_at
string<date-time> | null